For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unblock ERP link

Unblock ERP link

post

Unblock ERP link. Moves the ERP link status to Active. Available for Operations account with platform account management permissions. Returns the updated ERP link object.

Path parameters
idstringRequired

ERP link identifier.

Body
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
notestring · nullableOptional
Responses
200

OK

application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
notestring · nullableOptional
post/public/v1/accounts/erp-links/{id}/unblock
POST /public/v1/accounts/erp-links/{id}/unblock HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "note": "Unblocked after review"
}
{
  "id": "ERP-0808-7934-2576",
  "revision": 2,
  "name": "AGCO Corporation - SoftwareONE Argentina",
  "status": "Active",
  "note": "Unblocked after review",
  "audit": {
    "created": {
      "at": "2024-01-21T12:27:31+00:00",
      "by": {
        "id": "TKN-4113-7170",
        "name": "Navision Extension"
      }
    },
    "updated": {
      "at": "2024-02-02T10:15:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "blocked": {
      "at": "2024-02-02T15:15:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    },
    "unblocked": {
      "at": "2024-02-02T20:15:00+00:00",
      "by": {
        "id": "USR-0001",
        "name": "Ops User"
      }
    }
  }
}

Last updated

Was this helpful?